mobFunctions = {}
local mob = {}

function mobFunctions:add(x,y, speed)

	
	table.insert(mob, {x = x, y = y, animation = newAnimation(love.graphics.newImage("explosion.png"), 105, 205, 0.07, 0), speed = speed, })
end

function mobFunctions:remove(index)
	table.remove(index)
end

function mobFunctions:update()
	local dt = love.timer.getDelta()
	for i,v in ipairs(mob) do
		local dx = (player.x - v.x)
		local dy = (player.y - v.y)
		local dist = math.sqrt ( dx * dx + dy * dy )
		if dx < 0 then
			v.animation:draw(v.x, v.y, 0, -1, 1, 0, 205)
		else
			v.animation:draw(v.x, v.y, 0, 1, 1, 105, 205)
		end



		if dist > 5 then
			v.animation:update(dt)
			v.x = v.x + dx / dist * (dt * v.speed)
			v.y = v.y + dy / dist * (dt * v.speed)
		end
	end

end